<mat-toolbar class="mat-elevation-z3">
  <mat-toolbar-row>
    <button mat-button class="home" routerLink="/">Tiny<span>FLIX</span></button>

    <span class="spacer"></span>

    <div class="profile">
      <button mat-button [matMenuTriggerFor]="menu" class="username">
        {{ this.user?.name }}
        <mat-icon>more_vert</mat-icon>
      </button>
      <mat-menu #menu="matMenu">
        <button mat-menu-item (click)="profile()">
          <mat-icon>person_outline</mat-icon>
          <span>Profile</span>
        </button>
        <button mat-menu-item (click)="logout()">
          <mat-icon>logout</mat-icon>
          <span>Log Out</span>
        </button>
      </mat-menu>
    </div>

  </mat-toolbar-row>
</mat-toolbar>
